Support Article

Silverlight plug-in related question

SA-20638

Summary



In the release notes of Pega 7.1.8 (https://pdn.pega.com/release-notes?version=874), it mentions
"Starting in this release, Pega 7 features that integrate with the Word merge capability are now cross-browser. ActiveX controls (which are only compatible with Internet Explorer) have been replaced with Microsoft Silverlight. This plug-in must be downloaded separately from Microsoft because it is not shipped with Pega 7."

pzSLpreReqs.cab is the plugin file available from PEGA for the non admin users to use the silver light, this is being used in users' application since 7.1.6 and 7.1.7. With the above article, user understand that the Microsoft Silverlight has to be downloaded separately and wants to confirm regarding this.


Resolution



Here’s the explanation for the reported behavior:
Administrators can use the pzSLpreReqs.cab file to deploy the Silverlight prerequisites (required for Word merge support) to users without installation privileges.
 
Since Pega 7.1.3, support has been added for cross browser integration with Microsoft Word. pzSLpreReqs.cab requires the use of Microsoft Silverlight and the prerequisites file stored here. Normally, this installation is automatic. If a user is lacking either Silverlight itself or Pegasystems' cab file, the user will be prompted onscreen to download the missing components. So either Silverlight can be installed separately or can use this cab file. This file is provided here as a convenience to anyone who wishes to orchestrate an offline installation of the prerequisites file.
 
See http://pdn.pega.com/node/68786 for additional information.
 
Suggest Edit

Published March 11, 2016 - Updated October 8, 2020

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.